fprintf
hebrev
String Functions
PHP Manual

# get_html_translation_table

(PHP 4, PHP 5)

get_html_translation_table — Returns the translation table used by htmlspecialchars() and htmlentities()

### Description

array get_html_translation_table ([ int `$table` [, int `$quote_style` ]] )

get_html_translation_table() will return the translation table that is used internally for htmlspecialchars() and htmlentities().

> Note: Special characters can be encoded in several ways. E.g. " can be encoded as &quot;, &#34; or &#x22. get_html_translation_table() returns only the most common form for them.

### Parameters

`table`

  There are two new constants (`HTML_ENTITIES`, `HTML_SPECIALCHARS`) that allow you to specify the table you want. Default value for `table` is `HTML_SPECIALCHARS`.

`quote_style`

  Like the htmlspecialchars() and htmlentities() functions you can optionally specify the `quote_style` you are working with. The default is `ENT_COMPAT` mode. See the description of these modes in htmlspecialchars().

### Return Values

Returns the translation table as an array.

### Examples

Example #1 Translation Table Example

`<?php
$trans = get_html_translation_table(HTML_ENTITIES);
$str = "Hallo & <Frau> & Krämer";
$encoded = strtr($str, $trans);
?>`
The $encoded variable will now contain: "Hallo &amp; &lt;Frau&gt; &amp; Kr&auml;mer".

### See Also

- htmlspecialchars()
- htmlentities()
- html_entity_decode()

fprintf
hebrev
String Functions
PHP Manual